summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorTim Harder <radhermit@gentoo.org>2016-01-17 16:44:19 -0500
committerTim Harder <radhermit@gentoo.org>2016-01-17 17:20:01 -0500
commitf3a83e24bcc8dec126f00b3ecb6344f3cc1234fd (patch)
treea6b9bb96279d9dd19a7225c7c3239cd6c7af8657 /net-im/bitlbee
parentprofiles/hardened/linux/amd64/x32: inherit hardened parents last (diff)
downloadgentoo-f3a83e24bcc8dec126f00b3ecb6344f3cc1234fd.tar.gz
gentoo-f3a83e24bcc8dec126f00b3ecb6344f3cc1234fd.tar.bz2
gentoo-f3a83e24bcc8dec126f00b3ecb6344f3cc1234fd.zip
net-im/bitlbee: version bump to 3.4.1
Diffstat (limited to 'net-im/bitlbee')
-rw-r--r--net-im/bitlbee/Manifest1
-rw-r--r--net-im/bitlbee/bitlbee-3.4.1.ebuild178
2 files changed, 179 insertions, 0 deletions
diff --git a/net-im/bitlbee/Manifest b/net-im/bitlbee/Manifest
index 452cb35ef07..3bd3f16c480 100644
--- a/net-im/bitlbee/Manifest
+++ b/net-im/bitlbee/Manifest
@@ -1 +1,2 @@
DIST bitlbee-3.2.2.tar.gz 661757 SHA256 ba38939281f23e8a0e71022c7be0cb68f6544248404362c5e20245fa7a67558e SHA512 5826a9d64e2de42c5560d85c3e7c96a72930afae005143323b6a301b588328b156b50cde571c7f396ca00952d950d22db1ea11cc42256935d3d72ec90215e7d2 WHIRLPOOL cbc3552289949e5e10281d65f617f38075016c813bf2cbb13e09af913ea8545c46a69225bf4f523e1a73f955d7309b8c7b94e23affdedf5dce2760eee55203ae
+DIST bitlbee-3.4.1.tar.gz 700767 SHA256 f5347de9fe0ac5817686e90ccdf6d79b2895fd6d0a9d2c72f619d3319bf4625f SHA512 bc5e44a95d0d646118e730704d7d37d3be44d3905b5016759500173224568481d92a214ff66b1a91ea2d941ca2f1fdaeb040902bb7d22609de732fa7cd9940fb WHIRLPOOL 351f6e9c5cc59b605d0d0a01136c11a6fb58f7ec53ef478a65f421bd693bdd7cbeaf63605d442c96c209b15bc94b3f397b65c58fa1027ce6ee9c8ca51b8f4b1b
diff --git a/net-im/bitlbee/bitlbee-3.4.1.ebuild b/net-im/bitlbee/bitlbee-3.4.1.ebuild
new file mode 100644
index 00000000000..4c281c91486
--- /dev/null
+++ b/net-im/bitlbee/bitlbee-3.4.1.ebuild
@@ -0,0 +1,178 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python2_7 )
+
+inherit eutils multilib user python-single-r1 systemd
+
+DESCRIPTION="irc to IM gateway that support multiple IM protocols"
+HOMEPAGE="http://www.bitlbee.org/"
+SRC_URI="http://get.bitlbee.org/src/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~x86 ~x86-fbsd"
+IUSE="debug gnutls ipv6 +xmpp libevent msn nss +oscar otr +plugins purple selinux
+ skype ssl test twitter +yahoo xinetd"
+
+COMMON_DEPEND="
+ >=dev-libs/glib-2.16
+ purple? ( net-im/pidgin )
+ libevent? ( dev-libs/libevent )
+ otr? ( >=net-libs/libotr-4 )
+ gnutls? ( net-libs/gnutls )
+ !gnutls? (
+ nss? ( dev-libs/nss )
+ !nss? ( ssl? ( dev-libs/openssl:0 ) )
+ )
+ "
+DEPEND="${COMMON_DEPEND}
+ dev-lang/python
+ virtual/pkgconfig
+ selinux? ( sec-policy/selinux-bitlbee )
+ test? ( dev-libs/check )"
+
+RDEPEND="${COMMON_DEPEND}
+ virtual/logger
+ skype? (
+ dev-python/skype4py[${PYTHON_USEDEP}]
+ net-im/skype
+ )
+ xinetd? ( sys-apps/xinetd )"
+
+REQUIRED_USE="|| ( purple xmpp msn oscar yahoo )
+ msn? ( || ( gnutls nss ssl ) )
+ xmpp? ( !nss )"
+
+pkg_setup() {
+ if use xmpp && ! use gnutls && ! use ssl ; then
+ einfo
+ elog "You have enabled support for Jabber but do not have SSL"
+ elog "support enabled. This *will* prevent bitlbee from being"
+ elog "able to connect to SSL enabled Jabber servers. If you need to"
+ elog "connect to Jabber over SSL, enable ONE of the following use"
+ elog "flags: gnutls or ssl"
+ einfo
+ fi
+
+ use skype && python-single-r1_pkg_setup
+
+ enewgroup bitlbee
+ enewuser bitlbee -1 -1 /var/lib/bitlbee bitlbee
+}
+
+src_prepare() {
+ sed -i \
+ -e "s@/usr/local/sbin/bitlbee@/usr/sbin/bitlbee@" \
+ -e "s/nobody/bitlbee/" \
+ -e "s/}/ disable = yes\n}/" \
+ doc/bitlbee.xinetd || die "sed failed in xinetd"
+
+ sed -i \
+ -e "s@mozilla-nss@nss@g" \
+ configure || die "sed failed in configure"
+
+ use skype && python_fix_shebang protocols/skype/skyped.py
+
+ epatch "${FILESDIR}"/${PN}-3.2.1-configure.patch
+}
+
+src_configure() {
+ # setup plugins, protocol, ipv6 and debug
+ use xmpp && myconf="${myconf} --jabber=1"
+ for flag in debug ipv6 msn oscar plugins purple skype twitter yahoo ; do
+ if use ${flag} ; then
+ myconf="${myconf} --${flag}=1"
+ else
+ myconf="${myconf} --${flag}=0"
+ fi
+ done
+
+ # set otr
+ if use otr && use plugins ; then
+ myconf="${myconf} --otr=plugin"
+ else
+ if use otr ; then
+ ewarn "OTR support has been disabled automatically because it"
+ ewarn "requires the plugins USE flag."
+ fi
+ myconf="${myconf} --otr=0"
+ fi
+
+ # setup ssl use flags
+ if use gnutls ; then
+ myconf="${myconf} --ssl=gnutls"
+ einfo "Using gnutls for SSL support"
+ elif use ssl ; then
+ myconf="${myconf} --ssl=openssl"
+ einfo "Using openssl for SSL support"
+ elif use nss ; then
+ myconf="${myconf} --ssl=nss"
+ einfo "Using nss for SSL support"
+ else
+ myconf="${myconf} --ssl=bogus"
+ einfo "You will not have any encryption support enabled."
+ fi
+
+ # set event handler
+ if use libevent ; then
+ myconf="${myconf} --events=libevent"
+ else
+ myconf="${myconf} --events=glib"
+ fi
+
+ # NOTE: bitlbee's configure script is not an autotool creation,
+ # so that is why we don't use econf.
+ ./configure \
+ --prefix=/usr --datadir=/usr/share/bitlbee \
+ --etcdir=/etc/bitlbee --plugindir=/usr/$(get_libdir)/bitlbee \
+ --systemdsystemunitdir=$(systemd_get_unitdir) \
+ --doc=1 --strip=0 ${myconf} || die "econf failed"
+
+ sed -i \
+ -e "/^EFLAGS/s:=:&${LDFLAGS} :" \
+ Makefile.settings || die "sed failed"
+}
+
+src_install() {
+ emake install install-etc install-doc install-dev install-systemd DESTDIR="${D}"
+
+ keepdir /var/lib/bitlbee
+ fperms 700 /var/lib/bitlbee
+ fowners bitlbee:bitlbee /var/lib/bitlbee
+
+ dodoc doc/{AUTHORS,CHANGES,CREDITS,FAQ,README}
+
+ if use skype ; then
+ newdoc protocols/skype/NEWS NEWS-skype
+ newdoc protocols/skype/README README-skype
+ fi
+
+ if use xinetd ; then
+ insinto /etc/xinetd.d
+ newins doc/bitlbee.xinetd bitlbee
+ fi
+
+ newinitd "${FILESDIR}"/bitlbee.initd-r1 bitlbee
+ newconfd "${FILESDIR}"/bitlbee.confd-r1 bitlbee
+
+ exeinto /usr/share/bitlbee
+ doexe utils/{convert_purple.py,bitlbee-ctl.pl}
+}
+
+pkg_postinst() {
+ chown -R bitlbee:bitlbee "${ROOT}"/var/lib/bitlbee
+ [[ -d "${ROOT}"/var/run/bitlbee ]] &&
+ chown -R bitlbee:bitlbee "${ROOT}"/var/run/bitlbee
+
+ einfo
+ elog "The bitlbee init script will now attempt to stop all processes owned by the"
+ elog "bitlbee user, including per-client forks."
+ elog
+ elog "Tell the init script not to touch anything besides the main bitlbee process"
+ elog "by changing the BITLBEE_STOP_ALL variable in"
+ elog " /etc/conf.d/bitlbee"
+ einfo
+}